<script lang="ts">
import Vue from 'vue';
import { SlpBreadcrumb, SlpHorizontalRule } from '~/components/common/index';

export default Vue.extend({
  name: 'CaseStudyHero',
  components: {
    SlpBreadcrumb,
    SlpHorizontalRule,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section>
    <div class="gradient" />
    <SlpContainer>
      <SlpBreadcrumb class="slp-mt-32" :crumbs="data.crumbs" />
      <div class="slp-mt-48 logos">
        <nuxt-img class="slp-mr-16" :src="data.customer_logo" /> +
        <nuxt-img class="slp-ml-16" :src="data.gitlab_logo" />
      </div>
      <SlpTypography class="slp-mt-48" variant="heading1-bold" tag="h1">{{
        data.heading
      }}</SlpTypography>
      <div class="key-benefits">
        <div
          v-for="benefit in data.key_benefits"
          :key="benefit.label"
          class="key-benefit"
        >
          <SlpIcon
            variant="marketing"
            :name="benefit.icon"
            size="md"
            class="key-benefit__icon"
          />
          <SlpTypography
            variant="body1-bold"
            class="key-benefit__label slp-ml-16"
            >{{ benefit.label }}</SlpTypography
          >
        </div>
      </div>
      <nuxt-img class="slp-mt-48 header_image" :src="data.header_image" />

      <div class="facts">
        <div class="fact">
          <SlpTypography variant="body3-bold" class="fact__text">{{
            data.industry
          }}</SlpTypography>
          <SlpTypography variant="body2">{{
            data.customer_industry
          }}</SlpTypography>
        </div>
        <div class="fact">
          <SlpTypography variant="body3-bold" class="fact__text">{{
            data.employees
          }}</SlpTypography>
          <SlpTypography variant="body2">{{
            data.customer_employee_count
          }}</SlpTypography>
        </div>
        <div class="fact">
          <SlpTypography variant="body3-bold" class="fact__text">{{
            data.location
          }}</SlpTypography>
          <SlpTypography variant="body2">{{
            data.customer_location
          }}</SlpTypography>
        </div>
        <div class="fact">
          <SlpTypography variant="body3-bold" class="fact__text">{{
            data.solution
          }}</SlpTypography>
          <SlpTypography variant="body2">
            <div v-html="$md.render(data.customer_solution)"></div>
          </SlpTypography>
        </div>
        <div class="try_ultimate">
          <SlpTypography variant="body2">
            <div v-html="$md.render(data.try_ultimate)"></div>
          </SlpTypography>
          <SlpButton
            class="slp-mt-16"
            variant="primary"
            :href="data.try_ultimate_button.href"
          >
            {{ data.try_ultimate_button.text }}
          </SlpButton>
        </div>
      </div>
      <SlpHorizontalRule />
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.slp-hr {
  margin-top: $spacing-32 !important;
}

.facts {
  display: flex;
  justify-content: space-between;
  margin-top: $spacing-32;

  .fact {
    display: flex;
    flex-direction: column;

    &__text {
      margin-bottom: 12px;
    }
  }
}

.try_ultimate {
  max-width: 252px;
}

.gradient {
  background: linear-gradient(
    90.05deg,
    #eee7fd 2.53%,
    rgba(246, 243, 254, 0.83) 50.98%,
    rgba(255, 212, 216, 0.45) 100%
  );
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 720px;
  z-index: -1;
}

.logos {
  display: flex;
  align-items: center;

  img {
    max-height: 32px;
  }
}

.key-benefits {
  margin-top: $spacing-32;
  display: flex;
}

.key-benefit {
  display: flex;
  align-items: center;

  &:not(:first-child) {
    margin-left: $spacing-64;
  }
}

.header_image {
  width: 100%;
  height: 490px;
  object-fit: cover;
  border-radius: 4px 4px 90px 4px;
}

@media (max-width: $breakpoint-sm) {
  .facts {
    display: block;
    margin-top: $spacing-16;

    .fact {
      flex-direction: row;
      margin-bottom: $spacing-16;

      &__text {
        margin-bottom: 0px;
        margin-right: 16px;
      }
    }
  }

  .gradient {
    height: 850px;
  }

  .key-benefits {
    display: block;
  }

  .header_image {
    max-height: 180px;
  }

  .key-benefit {
    margin-left: 0px;

    &:not(:first-child) {
      margin-left: 0px;
      margin-top: $spacing-16;
    }

    &__icon {
      width: 24px;
      height: 24px;
    }

    &__label {
      font-size: 16px;
      line-height: 20px;
    }
  }

  .try_ultimate {
    max-width: none;
  }
}
</style>
